$driveCheck="C"
$threshold=16


#2022-03-10 cc: Thanks https://stackoverflow.com/questions/12159341/how-to-get-disk-capacity-and-free-space-of-remote-computer
$foo=Get-PSDrive C 
$foo=$($foo.Free)

#2022-03-10 cc: Thanks: http://woshub.com/check-hard-drive-health-smart-windows/
$diskFailureInfo=Get-PhysicalDisk | Where-Object {$_.HealthStatus -ne 'Healthy'} | Out-String
$diskFailPredict=Get-WmiObject -namespace root\wmi -class MSStorageDriver_FailurePredictStatus

if($?)
{

if($diskFailPredict.PredictFailure -eq $true)
{
$diskFailureInfo=$diskFailureInfo+($diskFailPredict | Out-String)
}


}


if( (($foo/ 1GB) -lt $threshold ) -or ($diskFailureInfo.Length -gt 0) )
{

if( ($foo/ 1GB) -lt $threshold ) 
{
$message = "Not enough Disk Space - Drive: "+$driveCheck+" / GB free: "+($foo/1GB)+" / Computer: "+$env:computername+"/ Threshold GB: "+$threshold
}

if($diskFailureInfo.Length -gt 0)
{
$message = $message+"`n Possible Disk Failure: `n"+$diskFailureInfo
}


write-host ($message)

$postParams = @{room=$env:computername;submit='1';description=$message;action='2'}

Invoke-WebRequest -Uri https://support.DOMAIN_AD/support.php -Method POST -Body $postParams -UseDefaultCredentials -OutFile C:\TMP\Debug.log





}



